Bug 814812 - Provide userspace tools to support dm verity using libdevmapper
Provide userspace tools to support dm verity using libdevmapper
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cryptsetup (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Milan Broz
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 14:44 EDT by Alasdair Kergon
Modified: 2013-02-28 23:11 EST (History)
14 users (show)

See Also:
Fixed In Version: cryptsetup-1.5.0-0.1.fc18
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 10:48:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2012-04-20 14:44:32 EDT
Basic dm verity userspace support is available in the upstream lvm2 respository.

This should be extended to use libdevmapper and packaged for Fedora (as an lvm2 subpackage).
Comment 1 Milan Broz 2012-05-29 09:50:47 EDT
Based on or discussion , I'll provide veritysetup in cryptsetup package (with all needed fixes mentioned above).
(Let see if it works, not problem to switch to another implementation later)

For now, the tool in in separate branch
http://code.google.com/p/cryptsetup/source/browse/?name=veritysetup
Comment 2 Milan Broz 2012-06-11 10:48:46 EDT
New cryptsetup subpackage called "veritysetup" is on the way to rawhide.
http://koji.fedoraproject.org/koji/taskinfo?taskID=4150743

It uses cryptsetup-libs and libdevmapper usual way.

Note You need to log in before you can comment on or make changes to this bug.